首页 新闻 搜索 专区 学院

C#WebBrowser奇葩问题

0
悬赏园豆:20 [已解决问题] 解决于 2015-05-29 22:37

闲来无事,用WebBrowser做个小浏览器耍,但是用WebBrowser打开去哪儿登录页面直接报脚本错误,并且无法做任何操作(登录等),求助!

如果技术较困难,能够提供解决方案并帮我解决的同学,可以RMB报酬。具体可以商量。

问题补充:

尝试了通过注册表修改兼容模式,还是不行。

dongger的主页 dongger | 初学一级 | 园豆:9
提问于:2014-04-11 11:49
< >
分享
最佳答案
0

使用WEBBROWSER控件做浏览器,有几个问题

1、使用的是IE内核,而且与用户电脑上的IE会有关系。如果是IE7.0以上的,好象用的是IE7.0的核心。如果是6.0之类的,

好象是6.0或是5.0之类的,反正这个可变性比较高。

2、一般情况下,如果是软件公司,可以强制要求客户采用某个IE版本,以降低软件代码兼容性的要求。

3、可以通过注册表强制要求WEBBROWSE使用某个版本的核心。

4、去哪能儿里面的JAVASCRIPT可能对某些版本的IE兼容性不好,可能会报脚本错误。如果只是要屏蔽脚本错误,这个可以在WEBBROWSE控件里面设置,可以屏蔽脚本错误,如果想要让去哪儿网站能够正常工作,可能需要好好研究,脚本在哪个版本的IE上可以正常运行,这个是水磨功夫,说是技术难度也行。

5、专门进行这方面的开发工作,有工具可以模拟各个不同版本的浏览器进行网页测试的。

6、既然是闲来无事,你的RMB就去买个菜包吃吧,吃了更有力气看技术资料,研究如果让你的小浏览器兼容去哪儿,呵呵。

收获园豆:20
爱编程的大叔 | 高人七级 |园豆:30753 | 2014-04-11 12:46

多谢回答这么详细。

主要是在IE各个版本都正常,其他所有浏览器都正常,就是webbrowser不正常。注册表强制要求webbrowser版本的也试过,不行。

dongger | 园豆:9 (初学一级) | 2014-04-11 12:50
其他回答(4)
0

修改IE的设置可以吗?

seaconch | 园豆:4823 (老鸟四级) | 2014-04-11 12:38

IE各个版本都是正常的,只有webbrowser不正常。

支持(0) 反对(0) dongger | 园豆:9 (初学一级) | 2014-04-11 12:48

@现代僵尸: http://msdn.microsoft.com/zh-cn/library/system.windows.forms.webbrowser.aspx

楼主既然想研究下,我估计给您这个是最好不过的了。

但是能不能解决您的问题就看您自己了。

支持(0) 反对(0) seaconch | 园豆:4823 (老鸟四级) | 2014-04-11 12:57
0

能否留个QQ.?

只会造轮子 | 园豆:2274 (老鸟四级) | 2014-04-11 12:55

416263499

支持(0) 反对(0) dongger | 园豆:9 (初学一级) | 2014-04-11 13:59
0

我也遇到一样的问题,注册表修改了还是不起作用,能否讲下你是怎么解决的呢

圣飞 | 园豆:202 (菜鸟二级) | 2017-06-28 10:14
0

很简单嘛,把Webbrowser的ScriptErrorsSuppressed属性设置为true不就好了吗?

人人为众编程技术 | 园豆:200 (初学一级) | 2017-07-01 17:43
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册